<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="cta">
    <div class="cta__gradient-header" />
    <SlpRow data-aos="fade-up" data-aos-offset="200" data-aos-duration="500">
      <SlpTypography v-if="data.title" tag="h4" variant="heading4-bold">
        {{ data.title }}
      </SlpTypography>
      <div class="cta__container">
        <SlpTypography tag="div" variant="heading5" class="cta__description">
          <div v-html="$md.render(data.description)"></div
        ></SlpTypography>
        <div class="cta__container-links">
          <SlpButton
            variant="tertiary"
            class="cta__link"
            :data-ga-name="data.data_ga_name"
            :data-ga-location="data.data_ga_location"
            :href="data.cta_link"
            >{{ data.cta_text }}
            <SlpIcon name="chevron-lg-right" variant="product" />
          </SlpButton>
          <SlpButton
            v-if="data.secondary_cta_text"
            variant="tertiary"
            class="cta__link"
            :data-ga-name="data.secondary_data_ga_name"
            :data-ga-location="data.secondary_data_ga_location"
            :href="data.secondary_cta_link"
            >{{ data.secondary_cta_text }}
            <SlpIcon name="chevron-lg-right" variant="product" />
          </SlpButton>
        </div>
      </div>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.cta {
  margin-top: $spacing-24;
  margin-bottom: $spacing-96;

  &__gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__container {
    display: flex;
    justify-content: space-between;

    @media (max-width: $breakpoint-md) {
      flex-direction: column;
    }
  }

  &__description {
    font-size: 40px;
    line-height: 48px;
    letter-spacing: -0.03em;
    margin: $spacing-32 0;
    width: 70%;

    @media (max-width: $breakpoint-md) {
      font-size: 32px;
      line-height: 40px;
      width: 100%;
    }
  }

  &__container-links {
    width: 28%;

    @media (max-width: $breakpoint-md) {
      width: 100%;
    }
  }

  &__link {
    text-align: left;
    margin-left: 0;

    :deep .slp-icon {
      display: inline-block;
      position: relative;
      div {
        position: absolute;
        top: 2px;
      }
    }
  }
}
</style>
